# $Revision: 1.5 $, $Date: 2002/09/26 16:15:45 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Exception
%define		pnam	Class-DBI
Summary:	Exception::Class::DBI - DBI Exception objects
Summary(pl):	Exception::Class::DBI - obiekty wyjtkw DBI
Name:		perl-Exception-Class-DBI
Version:	0.02
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_with_tests:1}%{!?_with_tests:0}
BuildRequires:	perl-DBI >= 1.28
BuildRequires:	perl-Exception-Class >= 1.02
BuildRequires:	perl-Test-Simple >= 0.40
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module offers a set of DBI-specific exception classes. They
inherit from Exception::Class::Base, the base class for all exception
objects created by the Exception::Class module from the CPAN.
Exception::Class::DBI itself offers a single class method, handler(),
that returns a code reference appropriate for passing the DBI
HandleError attribute.

%description -l pl
Ten modu oferuje zestaw specyficznych dla DBI klas wyjtkw.
Dziedzicz one z Exception::Class::Base, czyli bazowej klasy dla
wszystkich obiektw wyjtkw tworzonych przez modu Exception::Class.
Sam Exception::Class::DBI oferuje pojedyncz metod klasy - handler(),
zwracajc referencj do kodu waciw do przekazywania atrubutu DBI
HandleError.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
perl -pi -e 's/^(use 5.005)(00;)$/$1_$2/' ./lib/Exception/Class/DBI.pm

%build
perl Makefile.PL
%{__make}

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_sitelib}/Exception/Class
%{perl_sitelib}/Exception/Class/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Exception-Class-DBI.spec,v $
Revision 1.5  2002/09/26 16:15:45  ankry
- version 0.02, release 1

Revision 1.4  2002/09/16 08:23:41  ankry
- added missing dir
- release 3

Revision 1.3  2002/09/14 18:35:33  ankry
- fixed perl version required, release 2

Revision 1.2  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
